For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Create a new Data Export destination.
In the config request body parameter, the fields required depend on the type of Data Export destination.
config parameter detailsTo create a Data Export destination with a kind of azure-event-hubs, the config object requires the following fields:
namespace: The Event Hub Namespace namename: The Event Hub namepolicyName: The shared access signature policy name. You can find your policy name in the settings of your Azure Event Hubs Namespace.policyKey: The shared access signature key. You can find your policy key in the settings of your Azure Event Hubs Namespace.To create a Data Export destination with a kind of google-pubsub, the config object requires the following fields:
project: The Google PubSub project ID for the project to publish totopic: The Google PubSub topic ID for the topic to publish toTo create a Data Export destination with a kind of kinesis, the config object requires the following fields:
region: The Kinesis stream’s AWS region keyroleArn: The Amazon Resource Name (ARN) of the AWS role that will be writing to KinesisstreamName: The name of the Kinesis stream that LaunchDarkly is sending events to. This is not the ARN of the stream.To create a Data Export destination with a kind of mparticle, the config object requires the following fields:
apiKey: The mParticle API keysecret: The mParticle API secretuserIdentity: The type of identifier you use to identify your end users in mParticleanonymousUserIdentity: The type of identifier you use to identify your anonymous end users in mParticleTo create a Data Export destination with a kind of segment, the config object requires the following fields:
writeKey: The Segment write key. This is used to authenticate LaunchDarkly’s calls to Segment.To create a Data Export destination with a kind of snowflake-v2, the config object requires the following fields:
publicKey: The publicKey is returned as part of the Generate Snowflake destination key pair response. It is the public_key field.snowflakeHostAddress: Your Snowflake account URL.curl --request POST \
--url https://app.launchdarkly.com/api/v2/destinations/{projectKey}/{environmentKey} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"project": "test-prod",
"topic": "ld-pubsub-test-192301"
},
"kind": "google-pubsub"
}
'{
"_id": "610addeadbeefaa86ec9a7d4",
"_links": {
"parent": {
"href": "/api/v2/destinations",
"type": "application/json"
},
"self": {
"href": "/api/v2/destinations/my-project/my-environment/610addeadbeefaa86ec9a7d4",
"type": "application/json"
}
},
"name": "example-destination",
"kind": "google-pubsub",
"version": 1,
"config": "{\"project\":\"test-prod\",\"topic\":\"ld-pubsub-test-192301\"}",
"on": true,
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
The project key
The environment key
A human-readable name for your Data Export destination
"example-destination"
The type of Data Export destination
google-pubsub, kinesis, mparticle, segment, azure-event-hubs, snowflake-v2, databricks, bigquery, redshift "google-pubsub"
An object with the configuration parameters required for the destination type
"{\"project\":\"test-prod\",\"topic\":\"ld-pubsub-test-192301\"}"
Whether the export is on. Displayed as the integration status in the LaunchDarkly UI.
true
Destination response
The ID of this Data Export destination
"610addeadbeefaa86ec9a7d4"
The location and content type of related resources
Show child attributes
{
"parent": {
"href": "/api/v2/destinations",
"type": "application/json"
},
"self": {
"href": "/api/v2/destinations/my-project/my-environment/610addeadbeefaa86ec9a7d4",
"type": "application/json"
}
}
A human-readable name for your Data Export destination
"example-destination"
The type of Data Export destination
google-pubsub, kinesis, mparticle, segment, azure-event-hubs, snowflake-v2, databricks, bigquery, redshift "google-pubsub"
1
An object with the configuration parameters required for the destination type
"{\"project\":\"test-prod\",\"topic\":\"ld-pubsub-test-192301\"}"
Whether the export is on, that is, the status of the integration
true
Details on the allowed and denied actions for this Data Export destination
Show child attributes
curl --request POST \
--url https://app.launchdarkly.com/api/v2/destinations/{projectKey}/{environmentKey} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"project": "test-prod",
"topic": "ld-pubsub-test-192301"
},
"kind": "google-pubsub"
}
'{
"_id": "610addeadbeefaa86ec9a7d4",
"_links": {
"parent": {
"href": "/api/v2/destinations",
"type": "application/json"
},
"self": {
"href": "/api/v2/destinations/my-project/my-environment/610addeadbeefaa86ec9a7d4",
"type": "application/json"
}
},
"name": "example-destination",
"kind": "google-pubsub",
"version": 1,
"config": "{\"project\":\"test-prod\",\"topic\":\"ld-pubsub-test-192301\"}",
"on": true,
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
}
}